cccccc produces survey plots give ra,dec limits
cccc   f77 survey_plot.f -o survey_plot.e -L/star/lib ../c/putenv.c
      program survey_plot
      implicit none
      integer ios
      real boxL,boxR,boxT,boxB,xpt(4),ypt(4),x1,x2,y1,y2,xtick,
     >ytick
      character argv*132,fileOfpoints*132,title*64
      call putenv('PGPLOT_GIF_WIDTH=640')
      call putenv('PGPLOT_GIF_HEIGHT=480')
      call putenv('PGPLOT_FOREGROUND=black')
      call putenv('PGPLOT_BACKGROUND=white')
      call getarg(1,argv)
      read(argv,'(a)') fileOfPoints
      call getarg(2,argv)
      read(argv,*) boxL
      call getarg(3,argv)
      read(argv,*) boxR
      call getarg(4,argv)
      read(argv,*) boxB
      call getarg(5,argv)
      read(argv,*) boxT
      call getarg(6,argv)
      read(argv,*) xtick
      call getarg(7,argv)
      read(argv,*) ytick
      call getarg(8,argv)
      read(argv,'(a)') title
      write (6,*) boxL,boxR,boxT,boxB
      CALL PGBEGIN(0,'/gif',1,1)
      CALL PGVPORT(0.0,1.0,0.0,1.0)
      CALL PGVSTD
      call pgslw(2)
      CALL PGSWIN (boxL,boxR,boxB,boxT)
      CALL PGBOX ('BCSTN', xtick, 5, 'BCNST', ytick, 5)
      CALL PGLAB('Right Ascension (hours)','Declination (degrees)'
     >,title)
      open (11,file=fileOfPoints,status='old')
      ios=0
      do while (ios .eq. 0)
      read (11,*,iostat=ios,err=20,end=20) x1,x2,y1,y2
      x1=x1/15.0
      x2=x2/15.0
      write (6,*) x1,x2,y1,y2
      if (x1 .le. x2) then
      xpt(1)=x1
      ypt(1)=y1
      xpt(2)=x2
      ypt(2)=y1
      xpt(3)=x2
      ypt(3)=y2
      xpt(4)=x1
      ypt(4)=y2

      call pgsci(1)
      call pgsfs(1)
      call PGPOLY(4, XPT, YPT)
      call pgsci(2)
      call pgsfs(2)
      call pgslw(5)
      call PGPOLY(4, XPT, YPT)
      end if
      end do
 20   continue
      rewind(11)
      ios=0
      do while (ios .eq. 0)
      read (11,*,iostat=ios, err=30,end=30) x1,x2,y1,y2
      x1=x1/15.0
      x2=x2/15.0
      write (6,*) x1,x2,y1,y2
      if (x1 .le. x2) then
      xpt(1)=x1
      ypt(1)=y1
      xpt(2)=x2
      ypt(2)=y1
      xpt(3)=x2
      ypt(3)=y2
      xpt(4)=x1
      ypt(4)=y2
      call pgsci(2)
      call pgsfs(2)
      call PGPOLY(4, XPT, YPT)
      end if
      end do
 30   continue
       CALL PGEND

      stop
      end










